## vit 2.0.0

=== requirements.txt ===
pytz
tasklib
tzlocal
urwid

## vit 1.1

=== debian/changelog ===
vit (1.1-2) unstable; urgency=low

  * d/rules:
    - Remove DH_VERBOSE.
    - Remove /etc copy of vit-commands file (Closes: 724490). 
  * Add patch to fix the path of vit commands file.

 -- Alejandro Garrido Mota <alejandro@debian.org>  Tue, 24 Sep 2013 09:17:33 -0430

vit (1.1-1) unstable; urgency=low

  * Initial release (Closes: #717271).

 -- Alejandro Garrido Mota <alejandro@debian.org>  Thu, 18 Jul 2013 10:38:27 -0430

=== debian/control ===
Source: vit
Section: utils
Priority: extra
Maintainer: Alejandro Garrido Mota <alejandro@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev, libcurses-perl, task
Standards-Version: 3.9.4
Homepage: http://taskwarrior.org/projects/taskwarrior/wiki/Vit
Vcs-Git: git://github.com/mogaal/vit.git
Vcs-Browser: https://github.com/mogaal/vit

Package: vit
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libcurses-perl, task
Description: full-screen terminal interface for Taskwarrior
 A minimalistic Taskwarrior full-screen terminal interface with Vim key 
 bindings. Vit display all reports and all of the basic Taskwarrior 
 functionality. It support almost all commands, and thus serve as a fully
 functional replacement for VITtk.

## vit 1.2

=== debian/changelog ===
vit (1.2-4) unstable; urgency=medium

  * Added patch to enable reproducible builds (Closes: #833443)

 -- Iain R. Learmonth <irl@debian.org>  Mon, 19 Sep 2016 13:24:53 +0100

vit (1.2-3) unstable; urgency=medium

  * Package adopted by the Debian Tasktools Packaging Team.
  * debian/control:
   - Updated Maintainer and Uploaders fields.
   - Updated Homepage to new tasktools.org page.
   - Updated Vcs-* fields for the Debian Tasktools Packaging Team.
  * Updated watch file for tasktools.org.

 -- Iain R. Learmonth <irl@debian.org>  Thu, 08 Sep 2016 19:15:59 +0100

vit (1.2-2) unstable; urgency=medium

  * d/control: 
      - Replace task to taskwarrior in BDI and BD. (Closes: #758724).
      - Update debhelper depends to version 9.

 -- Alejandro Garrido Mota <alejandro@debian.org>  Sun, 24 Aug 2014 19:40:29 -0430

vit (1.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
     - Push Standards-Version field.

 -- Alejandro Garrido Mota <alejandro@debian.org>  Sun, 20 Apr 2014 13:07:33 -0430

=== debian/control ===
Source: vit
Maintainer: Debian Tasktools Packaging Team <pkg-tasktools-discuss@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>,
           Alejandro Garrido Mota <alejandro@debian.org>
Section: utils
Priority: extra
Build-Depends: debhelper (>= 9),
               autotools-dev,
               libcurses-perl,
               taskwarrior
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-tasktools/vit.git
Vcs-Git: https://anonscm.debian.org/git/pkg-tasktools/vit.git
Homepage: https://tasktools.org/projects/vit.html

Package: vit
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         libcurses-perl,
         taskwarrior
Description: full-screen terminal interface for Taskwarrior
 A minimalistic Taskwarrior full-screen terminal interface with Vim key 
 bindings. Vit display all reports and all of the basic Taskwarrior 
 functionality. It support almost all commands, and thus serve as a fully
 functional replacement for VITtk.

=== debian/watch ===
version=3
http://tasktools.org/ .*vit-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## vit 1.3~beta1

=== debian/changelog ===
vit (1.3~beta1-3) unstable; urgency=medium

  * Team upload.
  * Update metadata (priority, URLs, watch)
  * Add missing runtime dependencies (Closes: #929230)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 May 2019 19:33:55 +0200

vit (1.3~beta1-2) unstable; urgency=medium

  * Makes build reproducible using UTC for timestamp (Closes: #918534)

 -- Iain R. Learmonth <irl@debian.org>  Mon, 07 Jan 2019 11:02:08 +0000

vit (1.3~beta1-1) unstable; urgency=medium

  * New upstream version 1.3~beta1
   - It is not clear exactly how the "Negative repeat count does nothing" were
     solved, but they no longer occur in this release. (Closes: #876060)
  * Removed patches as fixes are implemented upstream
  * The command file location is changed to /usr/share/vit/commands

 -- Iain R. Learmonth <irl@debian.org>  Fri, 04 Jan 2019 22:36:27 +0000

=== debian/control ===
Source: vit
Maintainer: Debian Tasktools Packaging Team <taskdeb-discuss@nongnu.org>
Uploaders: Iain R. Learmonth <irl@debian.org>,
           Alejandro Garrido Mota <alejandro@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               libcurses-perl,
               taskwarrior
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/tasktools-team/vit
Vcs-Git: https://salsa.debian.org/tasktools-team/vit.git
Homepage: https://github.com/scottkosty/vit

Package: vit
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         libcurses-perl,
         libtext-charwidth-perl,
         libtry-tiny-perl,
         taskwarrior
Description: full-screen terminal interface for Taskwarrior
 A minimalistic Taskwarrior full-screen terminal interface with Vim key 
 bindings. Vit display all reports and all of the basic Taskwarrior 
 functionality. It support almost all commands, and thus serve as a fully
 functional replacement for VITtk.

=== debian/rules ===
#!/usr/bin/make -f
PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@  --with autotools-dev

override_dh_auto_install:
	mkdir -p $(TMP)/usr/bin
	cp vit $(TMP)/usr/bin/vit

override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%vit-$1.tar.gz%" \
    https://github.com/scottkosty/vit/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## vit 2.0.0

=== debian/changelog ===
vit (2.0.0-3) unstable; urgency=medium

  * update maintainer address
  * Drop Iain from Uploaders, thanks for your work!

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 04 Jan 2021 14:16:03 +0100

vit (2.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Jochen Sprickerhof ]
  * Update homepage
  * Add upstream patch for TaskWarrior 2.5.2
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 02 Jan 2021 20:48:07 +0100

vit (2.0.0-1) unstable; urgency=medium

  * simplify d/watch
  * New upstream version 2.0.0
  * Drop patches, not needed
  * Update copyright
  * Update packaging and add myself to Uploaders

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 12 Nov 2019 23:43:49 +0100

=== debian/control ===
Source: vit
Maintainer: Debian Tasktools Team <team+tasktools@tracker.debian.org>
Uploaders: Alejandro Garrido Mota <alejandro@debian.org>,
           Jochen Sprickerhof <jspricke@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3, python3-setuptools, python3-urwid, python3-tzlocal, python3-tasklib
Standards-Version: 4.5.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/tasktools-team/vit
Vcs-Git: https://salsa.debian.org/tasktools-team/vit.git
Homepage: https://github.com/vit-project/vit

Package: vit
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
Description: full-screen terminal interface for Taskwarrior
 A minimalistic Taskwarrior full-screen terminal interface with Vim key
 bindings. Vit display all reports and all of the basic Taskwarrior
 functionality. It support almost all commands, and thus serve as a fully
 functional replacement for VITtk.

=== debian/rules ===
#!/usr/bin/make -f

# needed for unit tests
export TERM=linux

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%vit-$1.tar.gz%" \
    https://github.com/vit-project/vit/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## vit 2.1.0

=== requirements.txt ===
pytz>=2019.3
tasklib>=1.3.0
tzlocal>=2.0.0
urwid>=2.1.0

=== debian/changelog ===
vit (2.1.0-2) unstable; urgency=medium

  * Set TZ to fix unit tests on reproducible builds

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 03 Nov 2021 22:04:30 +0100

vit (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * add d/NEWS for breaking change
  * drop patches (applied upstream)
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 15 Sep 2021 23:50:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3, python3-setuptools, python3-urwid, python3-tzlocal, python3-tasklib
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/tasktools-team/vit

=== debian/rules ===
#!/usr/bin/make -f

# needed for unit tests
export TERM=linux
export TZ=UTC

%:
	dh $@ --buildsystem=pybuild

## vit 2.2.0

=== debian/changelog ===
vit (2.2.0-2) unstable; urgency=medium

  * Drop unused build dependency
  * Enable autopkgtest-pkg-pybuild
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 10 Dec 2022 08:24:44 +0100

vit (2.2.0-1) unstable; urgency=medium

  * Drop autopkgtest-pkg-python (no tests in package)
  * Add upstream source
  * New upstream version 2.2.0

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Apr 2022 20:03:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
            Jochen Sprickerhof <jspricke@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3, python3-setuptools, python3-urwid, python3-tzlocal, python3-tasklib
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3, python3-setuptools, python3-urwid, python3-tasklib
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/tasktools-team/vit
 Vcs-Git: https://salsa.debian.org/tasktools-team/vit.git
 Homepage: https://github.com/vit-project/vit
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: vit
 Architecture: all

## vit 2.3.1

=== debian/changelog ===
vit (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 01 Jul 2023 15:44:38 +0200

vit (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 11 Jun 2023 14:57:39 +0200

## vit 2.3.2

=== debian/changelog ===
vit (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 24 Oct 2023 15:45:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3, python3-setuptools, python3-urwid, python3-tasklib
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tasktools-team/vit
 Vcs-Git: https://salsa.debian.org/tasktools-team/vit.git

## vit 2.3.3

=== requirements.txt ===
tasklib>=2.4.3
urwid>=2.1.2
backports.zoneinfo;python_version<"3.9"

=== debian/changelog ===
vit (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3
  * Bump policy version (no changes)
  * Install scripts as examples
  * Apply X-Style and updated build depends
  * vit-watchdog: fix signal include

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 23 Feb 2025 08:00:26 +0100

=== debian/control ===
Source: vit
Maintainer: Debian Tasktools Team <team+tasktools@tracker.debian.org>
Uploaders:
 Alejandro Garrido Mota <alejandro@debian.org>,
 Jochen Sprickerhof <jspricke@debian.org>,
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-setuptools,
 python3-tasklib <!nocheck>,
 python3-urwid <!nocheck>,
Standards-Version: 4.7.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/tasktools-team/vit
Vcs-Git: https://salsa.debian.org/tasktools-team/vit.git
Homepage: https://github.com/vit-project/vit
Testsuite: autopkgtest-pkg-pybuild
X-Style: black

Package: vit
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: full-screen terminal interface for Taskwarrior
 A minimalistic Taskwarrior full-screen terminal interface with Vim key
 bindings. Vit display all reports and all of the basic Taskwarrior
 functionality. It support almost all commands, and thus serve as a fully
 functional replacement for VITtk.
